'use strict';

var rollupPluginutils = require('rollup-pluginutils');

function json (options = {}) {
	const filter = rollupPluginutils.createFilter(options.include, options.exclude);
	const indent = 'indent' in options ? options.indent : '\t';

	return {
		name: 'json',

		transform (json, id) {
			if (id.slice(-5) !== '.json') return null;
			if (!filter(id)) return null;

			const data = JSON.parse(json);
			if (Object.prototype.toString.call(data) !== '[object Object]') {
				return {code: `export default ${json};\n`, map: {mappings: ''}};
			}

			return {
				code: rollupPluginutils.dataToEsm(data, {preferConst: options.preferConst, indent}),
				map: {mappings: ''}
			};
		}
	};
}

module.exports = json;
//# sourceMappingURL=rollup-plugin-json.cjs.js.map
